#
# spec file for package pigz
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pigz
Version:        2.3.3
Release:        1.28
Summary:        Multi-core gzip version
License:        Zlib
Group:          Productivity/Archiving/Compression
Url:            http://www.zlib.net/pigz/
Source:         http://www.zlib.net/pigz/%{name}-%{version}.tar.gz
Patch:          pigz-fix-wrong-include.patch
Patch1:         pigz-fix-missing-linker.patch
BuildRequires:  glibc-devel
BuildRequires:  zlib-devel >= 1.2.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A parallel implementation of gzip for modern multi-processor,
multi-core machines

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
make CC="gcc" CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_prefix}/bin
cp -v pigz %{buildroot}%{_bindir}/
ln -sv pigz %{buildroot}%{_bindir}/unpigz

#man page
mkdir -p %{buildroot}/%{_mandir}/man1/
cp -v pigz.1 %{buildroot}/%{_mandir}/man1/
gzip %{buildroot}/%{_mandir}/man1/pigz.1
ln -sv pigz.1.gz %{buildroot}/%{_mandir}/man1/unpigz.1

%files
%defattr(-,root,root)
%doc README
%{_mandir}/man1/pigz.1.gz
%{_mandir}/man1/unpigz.1.gz
%{_bindir}/pigz
%{_bindir}/unpigz

%changelog
* Wed Mar 11 2015 p.drouand@gmail.com
- Update to version 2.3.3
  * Portability improvements
  * Update copyright years in documentation
- Add build fix patches
  * pigz-fix-wrong-include.patch
  * pigz-fix-missing-linker.patch
- Remove pigz-lm.patch; fixed
- Use download Url as source
* Thu Mar 14 2013 adam@mizerski.pl
- update to 2.3
  * Don't complain about missing suffix when not writing output file
  * Put all global variables in one global structure for readability
  * Do not decompress concatenated zlib streams -- only gzip streams
  * Add option for compression level 11 to use zopfli
  * Fix handling of junk after compressed data
- added pigz-lm.patch
  * adds missing "-lm"
- provide unpigz binary and manpage as symlink, not copy.
- removed fake cc script - build system honors CC
- cleanup spec file
* Tue Nov 27 2012 sweet_f_a@gmx.de
- update to 2.2.5:
  * add --rsyncable functionality
  * many bug fixes
- remove all suse patches:
  * pigz-dictzip.patch, large and unmaintained patch. If somebody
    really needs that then we should rebase and test it. In this
    case --dictzip should be probably also added to original gzip.
  * pigz-always-thread.patch was a folloup of pigz-dictzip.patch
  * pigz-do-symlinks.patch added IMO dangerous and stupid behaviour
    for symlinks. The original behaviour is now again like we know
    it from gzip, bzip2 and xz.
  * pigz-spl.patch, why we hacked in special handling of .spl
    files?
  * Generally we want to have pigz to replace gzip (and vice versa)
    so better avoiding interface incompatibilities.
- cleanup spec file
* Fri Sep 30 2011 uli@suse.com
- cross-build workaround: use fake cc script to work around build
  system that does not honor CC
* Thu Jun  2 2011 visnov@suse.cz
- update to 2.1.6
- package unpigz
- create debug packages
- package manpage
* Mon Apr 19 2010 agraf@suse.de
- fix dictzip with #CPU == 1 (bnc#597756)
* Wed Mar  3 2010 visnov@suse.de
- include symlinks patch
* Tue Oct 20 2009 jmatejek@suse.de
- initial package
